---@meta

---@class ABP_Interactable_Flare_C : ABP_Interactable_Actor_C
---@field UberGraphFrame FPointerToUberGraphFrame
---@field NS_Flare_01 UNiagaraComponent
---@field PointLight UPointLightComponent
---@field Flare UAudioComponent
---@field IsLit boolean
local ABP_Interactable_Flare_C = {}

function ABP_Interactable_Flare_C:OnRep_IsLit() end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HitResult FHitResult
---@param HoldTime double
---@param NewParam boolean
---@param Success boolean
function ABP_Interactable_Flare_C:Interact(PlayerCharacter, HitResult, HoldTime, NewParam, Success) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_Flare_C:InpActEvt_IA_PrimaryFire_K2Node_EnhancedInputActionEvent_0(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param NotifyName FName
function ABP_Interactable_Flare_C:OnNotifyEnd_717686484E7E1819CC3C708C7EF76396(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Flare_C:OnNotifyBegin_717686484E7E1819CC3C708C7EF76396(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Flare_C:OnInterrupted_717686484E7E1819CC3C708C7EF76396(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Flare_C:OnBlendOut_717686484E7E1819CC3C708C7EF76396(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Flare_C:OnCompleted_717686484E7E1819CC3C708C7EF76396(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Flare_C:OnNotifyEnd_0DA67A724004E04E6C0ADE98FEEF14AF(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Flare_C:OnNotifyBegin_0DA67A724004E04E6C0ADE98FEEF14AF(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Flare_C:OnInterrupted_0DA67A724004E04E6C0ADE98FEEF14AF(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Flare_C:OnBlendOut_0DA67A724004E04E6C0ADE98FEEF14AF(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Flare_C:OnCompleted_0DA67A724004E04E6C0ADE98FEEF14AF(NotifyName) end
---@param OldSignificance FGameplayTag
---@param NewSignificance FGameplayTag
function ABP_Interactable_Flare_C:BndEvt__BP_Interactable_Flare_SignificanceComponent_K2Node_ComponentBoundEvent_0_OnSignificanceUpdated__DelegateSignature(OldSignificance, NewSignificance) end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function ABP_Interactable_Flare_C:CallBackPrimaryFire(Player, Stop) end
---@param EntryPoint int32
function ABP_Interactable_Flare_C:ExecuteUbergraph_BP_Interactable_Flare(EntryPoint) end


